
<?xml version="1.0" encoding="UTF-8" ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//FR" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<head>
<title>The Lojban Reference Grammar</title>

    <meta http-equiv="Content-Type" content="application/xhtml+xml; charset=UTF-8" xml:lang="fr" />
    <meta name="keywords" content="lojban lojban.org www.lojban.org langue construite linguistique" />

    <!-- <body background="lalojbana2.jpg"> -->

    <link rel="stylesheet" type="text/css" media="all" href="../lojban_org.css" />

</head>

<body>

    <div class="topbar">

	<h1>
	    <img src="../venn_emboss.gif" alt="Le logo du lojban" />
	    <a class="middle" href="http://www.lojban.org/">Le lojban : la langue logique</a>
	    <img src="../venn_emboss.gif" alt="Le logo du lojban" />
	</h1>

	<div class="green">
	    Si vous &ecirc;tes nouveau au sujet du lojban ou sur ce site, merci de <a
	    href="../help.html">lire la page d'aide</a> en premier.
	</div>
	
	<br />

	<div class="centeredyellow">
	    Trouver de l'information sur le lojban&nbsp;:
	    [ 
	    <a class="black" href="../help.html">Aide</a> |
	    <a class="black" href="../resources.html">Ressources</a> |
	    <a class="black" href="../quick.html">Pages souvent parcourues</a> |
	    <a class="black" href="../sitemap.html">Plan du site</a> |
	    <a class="black" href="../search.html">Chercher</a>
	    ]
	</div>
	<div class="centeredblue">
	    Informations de base au sujet du lojban&nbsp;:
	    [ 
	    <a class="black" href="../resources/faq.html">FAQ</a> |
	    <a class="black" href="../about.html">&Agrave; propos du lojban</a> |
	    <a class="black" href="../llg.html">Informations g&eacute;n&eacute;rales sur le GLL</a> |
	    <a class="black" href="../whats_new.html">Derni&egrave;res nouvelles</a>
	    ]
	</div>
	<div class="centeredyellow">
	    Apprendre le lojban&nbsp;:
	    [ 
	    <a class="black" href="../beginners.html">Tout juste en train de démarrer</a> |
	    <a class="black" href="../advanced.html">Expérimenté</a> |
	    <a class="black" href="../publications.html">Publications du GLL</a> |
	    <a class="black" href="../texts.html">Textes en lojban</a>
	    ]
	</div>
	<div class="centeredblue">
	    Aider la communauté lojban
	    [ 
	    <a class="black" href="../llg/projects.html">Projets</a> |
	    <a class="black" href="../llg/committees.html">Comit&eacute;s du GLL</a> |
	    <a class="black" href="../howtohelp.html">De quelle mani&egrave;re aider</a> |
	    <a class="black" href="../feedback.html">Donner un retour</a>
	    ]
	</div>
        <div class="centeredyellow">
            Langues&nbsp;:
	    <a href="http://www.lojban.org/jbo/" title="lojban"><img class="langflag" src="http://www.lojban.org/pics/flags/loj.gif" alt=" [lojban] " width="32" height="20" /></a> |
	    <a href="http://www.lojban.org/eo/" title="esp&eacute;ranto"><img class="langflag" src="http://www.lojban.org/pics/flags/eo.gif" alt=" [esp&eacute;ranto] " width="26" height="20" /></a> |
	    <a href="http://www.lojban.org/fr/" title="Français"><img class="langflag" src="http://www.lojban.org/pics/flags/fr.gif" alt=" [Français] " width="30" height="20" /></a> |
	    <a href="http://www.lojban.org/de/" title="Deutsch"><img class="langflag" src="http://www.lojban.org/pics/flags/de.gif" alt=" [Deutsch] " width="33" height="20" /></a> |
	    <a href="http://www.lojban.org/he/" title="Ivrit"><img class="langflag" src="http://www.lojban.org/pics/flags/il.gif" alt=" [Ivrit] " width="27" height="20" /></a> |
	    <a href="http://www.lojban.org/no/" title="Norsk"><img class="langflag" src="http://www.lojban.org/pics/flags/no.gif" alt=" [Norsk] " width="27" height="20" /></a> |
	    <a href="http://www.lojban.org/es/" title="Español"><img class="langflag" src="http://www.lojban.org/pics/flags/es.gif" alt=" [Español] " width="30" height="20" /></a> |
	    <a href="http://www.lojban.org/sv/" title="Swedish"><img class="langflag" src="http://www.lojban.org/pics/flags/se.gif" alt=" [Swedish] " width="31" height="20" /></a> |
	    <a href="http://www.lojban.org/en/" title="English"><img class="langflag" src="http://www.lojban.org/pics/flags/usa_uk_small.gif" alt=" [English] " width="31" height="20" /></a>
        </div>
    </div>




<h1>The Lojban Reference Grammar</h1>

<p>This directory contains the current reference grammar.
This is the pre-final version, and has some typos.</p>

<p>Anyone interested is urged to read the book and send
comments to <a href="mailto:cowan@ccil.org">John Cowan</a> at
&lt;cowan@ccil.org&gt;.</p>

<p>Here are the individual chapters:</p>

<ol>
    <li>
	<a
	href="reference_grammar/chapter1.html">
	Lojban As We Mangle It In Lojbanistan: About This
	Book</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter2.html">
	A Quick Tour of Lojban Grammar, With Diagrams</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter3.html">
	The Hills Are Alive With The Sounds Of Lojban</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter4.html">
	The Shape Of Words To Come: Lojban Morphology</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter5.html">
	"Pretty Little Girls' School": The Structure Of Lojban
	selbri</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter6.html">
	To Speak Of Many Things: The Lojban sumti</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter7.html">
	Brevity Is The Soul Of Language: Pro-sumti And
	Pro-bridi</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter8.html">
	Relative Clauses, Which Make sumti Even More
	Complicated</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter9.html">
	To Boston Via The Road Go I, With An Excursion Into The
	Land Of Modals</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter10.html">
	Imaginary Journeys: The Lojban Space/Time Tense
	System</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter11.html">
	Events, Qualities, Quantities, And Other Vague Words: On
	Lojban Abstraction</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter12.html">
	Dog House And White House: Determining lujvo Place
	Structures</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter13.html">
	Oooh! Arrgh! Ugh! Yecch! Attitudinal and Emotional
	Indicators</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter14.html">
	If Wishes Were Horses: The Lojban Connective
	System</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter15.html">
	"No" Problems: On Lojban Negation</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter16.html">
	"Who Did You Pass On The Road? Nobody": Lojban And
	Logic</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter17.html">
	As Easy As A-B-C? The Lojban Letteral System And Its
	Uses</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter18.html">
	lojbau mekso: Mathematical Expressions in Lojban</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter19.html">
	Putting It All Together: Notes on the Structure of Lojban
	Texts</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter20.html">
	A Catalogue of selma'o</a>
    </li>
	
    <li>
	<a
	href="reference_grammar/chapter21.html">
	Formal Grammars</a>
    </li>
</ol>

    <h3>The entire reference grammar is available as an
    archive:</h3>

    <ul>
      <li><a
      href="reference_grammar/hrefgram.zip">
      HTML format</a> (hrefgram.zip, 563; 1.6Mb unzipped; MD5 =
      0d72c94cd07282b884c9725fb208da12)</li>

    </ul>

    <p>The hardbound version has been <a
    href="/files/brochures/cll.html">announced</a></p>

    <ul>
      <li>SIL IPA fonts (Truetype and PS) (<a
      href="/files/silip12a.zip">silip12a.zip</a>
      (404kb, MD5 = b5c0c0aab352ac9909809cfcb9b6d89b)</li>
    </ul>


    <hr />
    
    <p>Derni&egrave;res modifications&nbsp;: Mon Jun 27 23:10:52 PDT 2005</p>

    <p>Please <a href="../llg/feedback.php">contact us</a> with any comments, suggestions or concerns.</p>

</body>
</html>
